import type { DefaultValues } from '../../../bridge';
import type { AttachFailoverIPToMacAddressRequest, AttachFailoverIPsRequest, BMCAccess, Backup, CanOrderResponse, CreateFailoverIPsRequest, CreateFailoverIPsResponse, CreateServerRequest, DetachFailoverIPsRequest, FailoverIP, GetIPv6BlockQuotasResponse, GetRemainingQuotaResponse, GetRpnStatusResponse, IP, IPv6Block, IPv6BlockApiCreateIPv6BlockRequest, IPv6BlockApiCreateIPv6BlockSubnetRequest, IPv6BlockApiUpdateIPv6BlockRequest, InstallServerRequest, Invoice, ListFailoverIPsResponse, ListIPv6BlockSubnetsAvailableResponse, ListInvoicesResponse, ListIpsResponse, ListOSResponse, ListOffersResponse, ListRefundsResponse, ListRpnCapableSanServersResponse, ListRpnCapableServersResponse, ListRpnGroupMembersResponse, ListRpnGroupsResponse, ListRpnInvitesResponse, ListRpnSansResponse, ListRpnServerCapabilitiesResponse, ListRpnV2CapableResourcesResponse, ListRpnV2GroupLogsResponse, ListRpnV2GroupsResponse, ListRpnV2MembersResponse, ListServerDisksResponse, ListServerEventsResponse, ListServersResponse, ListServicesResponse, ListSubscribableServerOptionsResponse, OS, Offer, Raid, Refund, Rescue, RpnGroup, RpnSan, RpnSanApiAddIpRequest, RpnSanApiCreateRpnSanRequest, RpnSanApiRemoveIpRequest, RpnV1ApiAddRpnGroupMembersRequest, RpnV1ApiCreateRpnGroupRequest, RpnV1ApiDeleteRpnGroupMembersRequest, RpnV1ApiLeaveRpnGroupRequest, RpnV1ApiRpnGroupInviteRequest, RpnV1ApiUpdateRpnGroupNameRequest, RpnV2ApiAddRpnV2MembersRequest, RpnV2ApiCreateRpnV2GroupRequest, RpnV2ApiDeleteRpnV2MembersRequest, RpnV2ApiEnableRpnV2GroupCompatibilityRequest, RpnV2ApiUpdateRpnV2GroupNameRequest, RpnV2ApiUpdateRpnV2VlanForMembersRequest, RpnV2Group, Server, ServerDefaultPartitioning, ServerInstall, Service, StartBMCAccessRequest, StartRescueRequest, SubscribeServerOptionRequest, SubscribeStorageOptionsRequest, SubscribeStorageOptionsResponse, UpdateRaidRequest, UpdateReverseRequest, UpdateServerBackupRequest, UpdateServerRequest, UpdateServerTagsRequest } from './types.gen';
export declare const unmarshalIP: (data: unknown) => IP;
export declare const unmarshalOffer: (data: unknown) => Offer;
export declare const unmarshalOS: (data: unknown) => OS;
export declare const unmarshalRpnSan: (data: unknown) => RpnSan;
export declare const unmarshalRpnGroup: (data: unknown) => RpnGroup;
export declare const unmarshalServer: (data: unknown) => Server;
export declare const unmarshalRpnV2Group: (data: unknown) => RpnV2Group;
export declare const unmarshalService: (data: unknown) => Service;
export declare const unmarshalFailoverIP: (data: unknown) => FailoverIP;
export declare const unmarshalBMCAccess: (data: unknown) => BMCAccess;
export declare const unmarshalBackup: (data: unknown) => Backup;
export declare const unmarshalCanOrderResponse: (data: unknown) => CanOrderResponse;
export declare const unmarshalCreateFailoverIPsResponse: (data: unknown) => CreateFailoverIPsResponse;
export declare const unmarshalGetIPv6BlockQuotasResponse: (data: unknown) => GetIPv6BlockQuotasResponse;
export declare const unmarshalGetRemainingQuotaResponse: (data: unknown) => GetRemainingQuotaResponse;
export declare const unmarshalGetRpnStatusResponse: (data: unknown) => GetRpnStatusResponse;
export declare const unmarshalIPv6Block: (data: unknown) => IPv6Block;
export declare const unmarshalInvoice: (data: unknown) => Invoice;
export declare const unmarshalListFailoverIPsResponse: (data: unknown) => ListFailoverIPsResponse;
export declare const unmarshalListIPv6BlockSubnetsAvailableResponse: (data: unknown) => ListIPv6BlockSubnetsAvailableResponse;
export declare const unmarshalListInvoicesResponse: (data: unknown) => ListInvoicesResponse;
export declare const unmarshalListIpsResponse: (data: unknown) => ListIpsResponse;
export declare const unmarshalListOSResponse: (data: unknown) => ListOSResponse;
export declare const unmarshalListOffersResponse: (data: unknown) => ListOffersResponse;
export declare const unmarshalListRefundsResponse: (data: unknown) => ListRefundsResponse;
export declare const unmarshalListRpnCapableSanServersResponse: (data: unknown) => ListRpnCapableSanServersResponse;
export declare const unmarshalListRpnCapableServersResponse: (data: unknown) => ListRpnCapableServersResponse;
export declare const unmarshalListRpnGroupMembersResponse: (data: unknown) => ListRpnGroupMembersResponse;
export declare const unmarshalListRpnGroupsResponse: (data: unknown) => ListRpnGroupsResponse;
export declare const unmarshalListRpnInvitesResponse: (data: unknown) => ListRpnInvitesResponse;
export declare const unmarshalListRpnSansResponse: (data: unknown) => ListRpnSansResponse;
export declare const unmarshalListRpnServerCapabilitiesResponse: (data: unknown) => ListRpnServerCapabilitiesResponse;
export declare const unmarshalListRpnV2CapableResourcesResponse: (data: unknown) => ListRpnV2CapableResourcesResponse;
export declare const unmarshalListRpnV2GroupLogsResponse: (data: unknown) => ListRpnV2GroupLogsResponse;
export declare const unmarshalListRpnV2GroupsResponse: (data: unknown) => ListRpnV2GroupsResponse;
export declare const unmarshalListRpnV2MembersResponse: (data: unknown) => ListRpnV2MembersResponse;
export declare const unmarshalListServerDisksResponse: (data: unknown) => ListServerDisksResponse;
export declare const unmarshalListServerEventsResponse: (data: unknown) => ListServerEventsResponse;
export declare const unmarshalListServersResponse: (data: unknown) => ListServersResponse;
export declare const unmarshalListServicesResponse: (data: unknown) => ListServicesResponse;
export declare const unmarshalListSubscribableServerOptionsResponse: (data: unknown) => ListSubscribableServerOptionsResponse;
export declare const unmarshalRaid: (data: unknown) => Raid;
export declare const unmarshalRefund: (data: unknown) => Refund;
export declare const unmarshalRescue: (data: unknown) => Rescue;
export declare const unmarshalServerDefaultPartitioning: (data: unknown) => ServerDefaultPartitioning;
export declare const unmarshalServerInstall: (data: unknown) => ServerInstall;
export declare const unmarshalSubscribeStorageOptionsResponse: (data: unknown) => SubscribeStorageOptionsResponse;
export declare const marshalAttachFailoverIPToMacAddressRequest: (request: AttachFailoverIPToMacAddressRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalAttachFailoverIPsRequest: (request: AttachFailoverIPsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateFailoverIPsRequest: (request: CreateFailoverIPsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateServerRequest: (request: CreateServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDetachFailoverIPsRequest: (request: DetachFailoverIPsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalIPv6BlockApiCreateIPv6BlockRequest: (request: IPv6BlockApiCreateIPv6BlockRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalIPv6BlockApiCreateIPv6BlockSubnetRequest: (request: IPv6BlockApiCreateIPv6BlockSubnetRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalIPv6BlockApiUpdateIPv6BlockRequest: (request: IPv6BlockApiUpdateIPv6BlockRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalInstallServerRequest: (request: InstallServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnSanApiAddIpRequest: (request: RpnSanApiAddIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnSanApiCreateRpnSanRequest: (request: RpnSanApiCreateRpnSanRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnSanApiRemoveIpRequest: (request: RpnSanApiRemoveIpRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV1ApiAddRpnGroupMembersRequest: (request: RpnV1ApiAddRpnGroupMembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV1ApiCreateRpnGroupRequest: (request: RpnV1ApiCreateRpnGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV1ApiDeleteRpnGroupMembersRequest: (request: RpnV1ApiDeleteRpnGroupMembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV1ApiLeaveRpnGroupRequest: (request: RpnV1ApiLeaveRpnGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV1ApiRpnGroupInviteRequest: (request: RpnV1ApiRpnGroupInviteRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV1ApiUpdateRpnGroupNameRequest: (request: RpnV1ApiUpdateRpnGroupNameRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV2ApiAddRpnV2MembersRequest: (request: RpnV2ApiAddRpnV2MembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV2ApiCreateRpnV2GroupRequest: (request: RpnV2ApiCreateRpnV2GroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV2ApiDeleteRpnV2MembersRequest: (request: RpnV2ApiDeleteRpnV2MembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV2ApiEnableRpnV2GroupCompatibilityRequest: (request: RpnV2ApiEnableRpnV2GroupCompatibilityRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV2ApiUpdateRpnV2GroupNameRequest: (request: RpnV2ApiUpdateRpnV2GroupNameRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRpnV2ApiUpdateRpnV2VlanForMembersRequest: (request: RpnV2ApiUpdateRpnV2VlanForMembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalStartBMCAccessRequest: (request: StartBMCAccessRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalStartRescueRequest: (request: StartRescueRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSubscribeServerOptionRequest: (request: SubscribeServerOptionRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSubscribeStorageOptionsRequest: (request: SubscribeStorageOptionsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateRaidRequest: (request: UpdateRaidRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateReverseRequest: (request: UpdateReverseRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateServerBackupRequest: (request: UpdateServerBackupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateServerRequest: (request: UpdateServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateServerTagsRequest: (request: UpdateServerTagsRequest, defaults: DefaultValues) => Record<string, unknown>;
