"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const CreateJobDefinitionRequest = {
  cpuLimit: {
    greaterThan: 0
  },
  description: {
    maxLength: 255
  },
  imageUri: {
    pattern: /^((?:(?:(?:[a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])(?:\.(?:[a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]))*|\[(?:[a-fA-F0-9:]+)\])(?::[0-9]+)?\/)?[a-z0-9]+(?:(?:[._]|__|[-]+)[a-z0-9]+)*(?:\/[a-z0-9]+(?:(?:[._]|__|[-]+)[a-z0-9]+)*)*)(?::(\w[A-Za-z0-9_.-]{0,127}))?(?:@([A-Za-z][A-Za-z0-9]*(?:[-_+.][A-Za-z][A-Za-z0-9]*)*[:][[:xdigit:]]{32,}))?$/
  },
  localStorageCapacity: {
    greaterThan: 0
  },
  memoryLimit: {
    greaterThan: 0
  },
  name: {
    pattern: /^[A-Za-z0-9-_]{3,50}$/
  }
};
const CreateJobDefinitionRequestCronScheduleConfig = {
  schedule: {
    maxLength: 255,
    minLength: 1
  },
  timezone: {
    maxLength: 255,
    minLength: 1
  }
};
const CreateJobDefinitionSecretsRequestSecretConfig = {
  secretManagerVersion: {
    minLength: 1
  }
};
const CronSchedule = {
  schedule: {
    maxLength: 255,
    minLength: 1
  },
  timezone: {
    maxLength: 255,
    minLength: 1
  }
};
const ListJobDefinitionsRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListJobRunsRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const StartJobDefinitionRequest = {
  replicas: {
    greaterThan: 0
  }
};
const UpdateJobDefinitionRequest = {
  cpuLimit: {
    greaterThan: 0
  },
  description: {
    maxLength: 255
  },
  imageUri: {
    pattern: /^((?:(?:(?:[a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])(?:\.(?:[a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]))*|\[(?:[a-fA-F0-9:]+)\])(?::[0-9]+)?\/)?[a-z0-9]+(?:(?:[._]|__|[-]+)[a-z0-9]+)*(?:\/[a-z0-9]+(?:(?:[._]|__|[-]+)[a-z0-9]+)*)*)(?::(\w[A-Za-z0-9_.-]{0,127}))?(?:@([A-Za-z][A-Za-z0-9]*(?:[-_+.][A-Za-z][A-Za-z0-9]*)*[:][[:xdigit:]]{32,}))?$/
  },
  localStorageCapacity: {
    greaterThan: 0
  },
  memoryLimit: {
    greaterThan: 0
  },
  name: {
    pattern: /^[A-Za-z0-9-_]{3,50}$/
  }
};
const UpdateJobDefinitionRequestCronScheduleConfig = {
  schedule: {
    maxLength: 255,
    minLength: 1
  },
  timezone: {
    maxLength: 255,
    minLength: 1
  }
};
const UpdateJobDefinitionSecretRequest = {
  secretManagerVersion: {
    minLength: 1
  }
};
exports.CreateJobDefinitionRequest = CreateJobDefinitionRequest;
exports.CreateJobDefinitionRequestCronScheduleConfig = CreateJobDefinitionRequestCronScheduleConfig;
exports.CreateJobDefinitionSecretsRequestSecretConfig = CreateJobDefinitionSecretsRequestSecretConfig;
exports.CronSchedule = CronSchedule;
exports.ListJobDefinitionsRequest = ListJobDefinitionsRequest;
exports.ListJobRunsRequest = ListJobRunsRequest;
exports.StartJobDefinitionRequest = StartJobDefinitionRequest;
exports.UpdateJobDefinitionRequest = UpdateJobDefinitionRequest;
exports.UpdateJobDefinitionRequestCronScheduleConfig = UpdateJobDefinitionRequestCronScheduleConfig;
exports.UpdateJobDefinitionSecretRequest = UpdateJobDefinitionSecretRequest;
