import type { DefaultValues } from '../../../bridge';
import type { CreateEndpointRequest, CreateInstanceRequest, CreateSnapshotRequest, CreateUserRequest, Endpoint, Instance, InstanceSetting, ListInstancesResponse, ListNodeTypesResponse, ListSnapshotsResponse, ListUsersResponse, ListVersionsResponse, RestoreSnapshotRequest, Snapshot, UpdateInstanceRequest, UpdateSnapshotRequest, UpdateUserRequest, UpgradeInstanceRequest, User, Volume } from './types.gen';
export declare const unmarshalEndpoint: (data: unknown) => Endpoint;
export declare const unmarshalInstanceSetting: (data: unknown) => InstanceSetting;
export declare const unmarshalVolume: (data: unknown) => Volume;
export declare const unmarshalInstance: (data: unknown) => Instance;
export declare const unmarshalSnapshot: (data: unknown) => Snapshot;
export declare const unmarshalUser: (data: unknown) => User;
export declare const unmarshalListInstancesResponse: (data: unknown) => ListInstancesResponse;
export declare const unmarshalListNodeTypesResponse: (data: unknown) => ListNodeTypesResponse;
export declare const unmarshalListSnapshotsResponse: (data: unknown) => ListSnapshotsResponse;
export declare const unmarshalListUsersResponse: (data: unknown) => ListUsersResponse;
export declare const unmarshalListVersionsResponse: (data: unknown) => ListVersionsResponse;
export declare const marshalCreateEndpointRequest: (request: CreateEndpointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateInstanceRequest: (request: CreateInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSnapshotRequest: (request: CreateSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateUserRequest: (request: CreateUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRestoreSnapshotRequest: (request: RestoreSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateInstanceRequest: (request: UpdateInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSnapshotRequest: (request: UpdateSnapshotRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateUserRequest: (request: UpdateUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpgradeInstanceRequest: (request: UpgradeInstanceRequest, defaults: DefaultValues) => Record<string, unknown>;
